SAP Knowledge Base Article - Preview

3001850 - Data Hub 2005 doesn't start with Oracle 19c

Symptom

Data Hub cannot be started when Oracle 19c database is used. Following warning and error are thrown:

[WARN] [o.h.e.j.e.i.JdbcEnvironmentInitiator] HHH000342: Could not obtain connection to query metadata : Unable to determine Dialect to use [name=Oracle, majorVersion=19]; user must register resolver or explicitly set 'hibernate.dialect'

[ERROR] [o.s.w.c.ContextLoader] Context initialization failedorg.springframework.beans.factory.BeanCreationException: Error creating bean with name 'entityManagerFactory' defined in class path resource [com/hybris/datahub/persistence/jpa/config/HibernateJpaConfig.class]: Invocation of init method failed; nested exception is org.hibernate.service.spi.ServiceException: Unable to create requested service [org.hibernate.engine.jdbc.env.spi.JdbcEnvironment]


Read more...

Keywords

Data Hub, Oracle, dialect , KBA , CEC-COM-HUB , SAP Commerce Data Hub , Problem

About this page

This is a preview of a SAP Knowledge Base Article. Click more to access the full version on SAP ONE Support launchpad (Login required).

Search for additional results

Visit SAP Support Portal's SAP Notes and KBA Search.